Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 665880 - dev-libs/poco: Validate DEPEND on virtual/mysql
Summary: dev-libs/poco: Validate DEPEND on virtual/mysql
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: David Roman
URL:
Whiteboard:
Keywords:
Depends on: 609252
Blocks: 763480
  Show dependency tree
 
Reported: 2018-09-12 17:29 UTC by Brian Evans
Modified: 2021-01-04 02:27 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Evans Gentoo Infrastructure gentoo-dev 2018-09-12 17:29:54 UTC
THIS IS A MASS FILING TO ALL PACKAGE WITH A DEPEND ON virtual/mysql

As was announced on the gentoo-dev-announce mailing list[1],
virtual/mysql is no longer viable to depend on providing the client libraries
or the mysql_config tool.

Most uses of DEPEND="virtual/mysql" (or conditionals based upon it) will not
work in the future.

If this package (optionally) depends on libmysqlclient.so* or mysql_config for
building, you will need to have dev-db/mysql-connector-c as the DEPEND/RDEPEND.

If this package (optionally) depends on libmariadb.so* or mariadb_config for
building, you will need to have dev-db/mariadb-connector-c as the
DEPEND/RDEPEND.

If this package requires the server running locally, virtual/mysql is
acceptible for RDEPEND and only in DEPEND when tests demand it.

The rare exception when server only files are required at build time should you
keep a compatible server listed.

After 60 days, roughly mid-October 2018, remaining packages will be forcefully
changed to mysql-connector-c with little or no testing. The server packages
will drop their compatibility DEPEND shortly after.

[1] https://archives.gentoo.org/gentoo-dev-announce/message/618f39bce863911d8955ee9f83636ca4
Comment 1 Larry the Git Cow gentoo-dev 2019-02-10 03:00:43 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ec8daf15e08a001221b6cebc7c905c6b7bdb0e75

commit ec8daf15e08a001221b6cebc7c905c6b7bdb0e75
Author:     Brian Evans <grknight@gentoo.org>
AuthorDate: 2019-02-10 03:00:27 +0000
Commit:     Brian Evans <grknight@gentoo.org>
CommitDate: 2019-02-10 03:00:27 +0000

    dev-libs/poco: Revbump to fix MySQL dependencies and detection
    
    Bug: https://bugs.gentoo.org/665880
    Package-Manager: Portage-2.3.59, Repoman-2.3.12
    Signed-off-by: Brian Evans <grknight@gentoo.org>

 dev-libs/poco/metadata.xml         |   1 +
 dev-libs/poco/poco-1.7.6-r1.ebuild | 119 ++++++++++++++++++++++++++++++++++
 dev-libs/poco/poco-1.9.0-r1.ebuild | 128 +++++++++++++++++++++++++++++++++++++
 3 files changed, 248 insertions(+)
Comment 2 Larry the Git Cow gentoo-dev 2020-11-24 03:47:42 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8c3ac02e46ac320c8206e46d2144cb43718ca175

commit 8c3ac02e46ac320c8206e46d2144cb43718ca175
Author:     David Roman <davidroman96@gmail.com>
AuthorDate: 2020-11-23 16:33:06 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-11-24 03:47:38 +0000

    dev-libs/poco: verbump to 1.10.1
    
    Closes: https://bugs.gentoo.org/665880
    Closes: https://bugs.gentoo.org/707106
    Package-Manager: Portage-3.0.10, Repoman-3.0.2
    Signed-off-by: David Roman <davidroman96@gmail.com>
    Closes: https://github.com/gentoo/gentoo/pull/18378
    Signed-off-by: Sam James <sam@gentoo.org>

 dev-libs/poco/Manifest                             |   1 +
 dev-libs/poco/files/poco-1.10.1-iodbc-incdir.patch |  13 ++
 dev-libs/poco/metadata.xml                         |   9 +-
 dev-libs/poco/poco-1.10.1.ebuild                   | 138 +++++++++++++++++++++
 4 files changed, 160 insertions(+), 1 deletion(-)